routes/web.php
<?php

use App\Constants;
use App\Http\Controllers\Admin\FeedbackController;
use App\Http\Controllers\Admin\SearchController;
use App\Http\Controllers\Admin\UserController;
use App\Http\Controllers\AuthController;
use App\Http\Controllers\DashboardController;
use Illuminate\Support\Facades\Route;
use SebastianBergmann\CodeCoverage\Report\Html\Dashboard;

Route::get('/', [App\Http\Controllers\HomeController::class, 'index'])->name('home');




Route::get('/login', [AuthController::class, 'index'])->name('login.index');
Route::post('/login', [AuthController::class, 'login'])->name('login');

Route::get('/register', [AuthController::class, 'register'])->name('register');
Route::post('/register', [AuthController::class, 'userRegister'])->name('userRegister');

Route::get('result/{username}', [SearchController::class, 'show' ])->name('searsh.show');
Route::post('search', [SearchController::class, 'search'])->name('search');

Route::post('feedbacks/store', [FeedbackController::class, 'store'])->name('feedbacks.store');

Route::group(['middleware' => ['auth']], function () {
    Route::post('/logout', [AuthController::class, 'logout'])->name('logout');

    //Admin
    Route::group(['middleware' => ['auth', 'roleAbilitiesMiddleware:' . Constants::Admin], 'prefix' => 'admin', 'as' => 'admin.'], function () {
        Route::get('/dashboard', [DashboardController::class, 'index'])->name('dashboard.index');
        Route::resource('/searchs', SearchController::class )->except('show');
        Route::resource('/feedbacks', FeedbackController::class )->except('store');
        Route::resource('/users', UserController::class );
        Route::put('/Apikey-Update/{id}', [DashboardController::class, 'updateApiKey' ])->name('apikey.update');
    });
    
    //User
    Route::group(['middleware' => ['auth', 'roleAbilitiesMiddleware:' . Constants::User], 'prefix' => 'user', 'as' => 'user.'], function () {
    });
});

app/Models/User.php
<?php

namespace App\Models;

// use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;
use Laravel\Sanctum\HasApiTokens;

class User extends Authenticatable
{
    use HasApiTokens, HasFactory, Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array<int, string>
     */
    protected $fillable = [
        'role_id',
        'full_name',
        'email',
        'password',
    ];

    /**
     * The attributes that should be hidden for serialization.
     *
     * @var array<int, string>
     */
    protected $hidden = [
        'password',
        'remember_token',
    ];

    /**
     * The attributes that should be cast.
     *
     * @var array<string, string>
     */ 
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];

    public function searches(){
        return $this->hasMany(Search::class);
    }

    public function feedbacks(){
        return $this->hasMany(Feedback::class);
    }
}

app/Http/Controllers/Admin/UserController.php
<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\User;
use Illuminate\Http\Request;

class UserController extends Controller
{

    public function index()
    {
        $users = User::all();

        return view('CMS.Users.index', compact('users'));
    }


    public function show($id)
    {
        $result = User::find($id);
        return view('CMS.Users.show', compact('result'));
    }

    public function destroy($id)
    {
        $result = User::find($id);

        $result->delete();
        return 'Deleted Successfully';
    }
}

resources/views/CMS/Users/index.blade.php
@extends('CMS.layouts.app')
@section('content')
    <div class="container-xxl flex-grow-1 container-p-y">
        <h4 class="fw-bold py-3 mb-4"><span class="text-muted fw-light">Dashboard /</span> Users</h4>

        <!-- Basic Bootstrap Table -->

        <div class="card h-100">
            <div class="row">
                <div class="col-lg-10 col-12">
                    <h5 class="card-header">Users</h5>
                </div>
                <div class="col-lg-2 col-12 p-3">
                    {{-- <a href="{{ route('Searchs.create') }}" class="btn btn-primary btn-block w-100 ">
                        اضافة عضو
                    </a> --}}
                </div>
            </div>
            <div class="table-responsive text-nowrap h-100">

                <table class="table">
                    <thead>
                        <tr>
                            <th>Id</th>
                            <th>Name</th>
                            <th>Email</th>
                            <th>Action</th>
                        </tr>
                    </thead>
                    <tbody class="table-border-bottom-1 ">
                        @include('CMS.Users.table')
                    </tbody>
                </table>
            </div>
        </div>
        <hr class="my-5" />
    </div>
@endsection

resources/views/CMS/Users/show.blade.php
@extends('CMS.layouts.app')
@section('content')
<div class="container-xxl flex-grow-1 container-p-y">
    <h4 class="fw-bold py-3 mb-4"><span class="text-muted fw-light">Users /</span> {{$result->full_name}}</h4>
    
       
        {{-- <p> Image </p>
        <img src="{{ $profile_image}}" alt="" style="width: 300px; height:300px; border-radius:50%"> --}}

        <div class="card-body demo-vertical-spacing demo-only-element">
            
            <div class="container-xxl flex-grow-1 container-p-y">
                <div class="card h-100">
                    <div class="row">
                        <div class="col-lg-12 col-12">
                            <div class="card-header">
                                <h5> Name : {{$result->full_name}}</h5>
                                <hr>
                            </div>

                            
                            <div class="card-body">
                              <h2>Searchs :</h2>
                              @foreach ($result->searches as $search)
                                  <p>Search Result : <br> <a href="{{route('searsh.show', $search->username)}}">{{$search->username}}</a> </p>
                              @endforeach
                            </div>

                            <div class="card-body mt-5">
                                <h2>Feedbacks :</h2>
                                @foreach ($result->feedbacks as $feedback)
                                <p>Search Result : <br> <a href="{{route('searsh.show', $feedback->search->username)}}"> {{$feedback->search->username}}</a> </p>
                                <p> Feedback : {{ $feedback->feed }} </p>
                                <br>
                                @endforeach
                            </div>
                           
                        </div>
                        
                        
                    </div>
                    
                </div>
            </div>
            
        </div>


        <hr class="my-5" />
    </div>
@endsection

resources/views/CMS/Users/table.blade.php
@foreach ($users as $user)
    <tr>
        <td>{{ $user->id }}</td>
        <td>{{ $user->full_name}}</td>
        <td>{{ $user->email}}</td>
        <td>
            <div class="dropdown">
                <button type="button" class="btn p-0 dropdown-toggle hide-arrow" data-bs-toggle="dropdown">
                    <i class="bx bx-dots-vertical-rounded"></i>
                </button>
                <div class="dropdown-menu">
                    <a class="dropdown-item" href="{{ route('admin.users.show', $user->id) }}"><i
                            class="bx bx-edit-alt me-1"></i>
                        Show </a>
                    <a class="dropdown-item deleteItem" data-url='{{ route('admin.users.destroy', $user->id) }}'
                        href="#"><i class="bx bx-trash me-1"></i>
                        Delete</a>
                </div>
            </div>
        </td>
    </tr>
@endforeach